Subject: Re: bug#7127: 23.2; M-x help throws an error

From: Ken Brown <[email-masked]>
Date: Fri, 01 Oct 2010 10:00:31 -0400

On 9/30/2010 1:30 PM, Ken Brown wrote:
> On 9/30/2010 3:12 AM, Glenn Morris wrote:
>> Ken Brown wrote:
>>
>>>> Did 23.1 have the same problem?
>>>
>>> No, it doesn't.  So that changes things completely.  I guess I have to
>>> try a bisection to find the revision between 23.1 and 23.2 where the
>>> bug first appears.  It may be a little while before I have time to do
>>> this.
>>
>> The first thing you could try is just a straight rebuild of the 23.2
>> package (if you were testing a pre-built binary). I have a vague
>> memory of some transient DOC related weirdness with emacs-snapshot
>> packages that just seemed to go away on its own (?). So maybe it was
>> just a build glitch.
>
> Thanks for the suggestion.  This is indeed a build glitch, but I don't
> understand what's happening yet.  If I unpack the emacs-23.2 source and
> just build it (./configure&&  make) the bug is gone.  But normally I
> build emacs for Cygwin by using a packaging tool called cygport, which
> (among other things) does an out-of-tree build.  I don't know if this is
> causing the problem.  My build of emacs-23.1 also used cygport and
> didn't exhibit the bug.  So I have to keep investigating.

The out-of-tree build is indeed the problem, and I'm no longer sure this 
is Cygwin-specific.  Here are the steps to reproduce it:

wget http://ftp.gnu.org/pub/gnu/emacs/emacs-23.2.tar.gz
tar -xf emacs-23.2.tar.gz
mkdir build
cd build
../emacs-23.2/configure
make
cd src
./emacs -Q
M-x help

The result is the error message "Wrong type argument: stringp, nil".

I would appreciate it if someone could try this on another system so 
that I'll know if it's a Cygwin problem.

Ken